- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeStream Class Reference
[Ipe Base]

Abstract base class for output streams. More...

Inherited by IpeA85Stream, IpeDeflateStream, IpePercentStream, and IpeTellStream.

List of all members.

## Public Member Functions

- virtual ~IpeStream ()
- virtual void PutChar (char ch)=0
- virtual void Close ()
- virtual void PutString (IpeString s)
- virtual void PutCString (const char *s)
- virtual void PutRaw (const char *data, int size)
- IpeStream & operator<< (char ch)
- IpeStream & operator<< (const IpeString &s)
- IpeStream & operator<< (const char *s)
- IpeStream & operator<< (int i)
- IpeStream & operator<< (double d)
- void PutHexByte (char b)
- void PutXmlString (IpeString s)

## Detailed Description

Abstract base class for output streams.

## Constructor & Destructor Documentation

IpeStream::~IpeStream | ( |  | ) | `[virtual]`

Virtual destructor, so you can delete using a pointer to IpeStream.

## Member Function Documentation

virtual void IpeStream::PutChar | ( | char | ch | ) | `[pure virtual]`

Output character.

Implemented in IpeStringStream, IpeFileStream, IpeA85Stream, and IpeDeflateStream.

void IpeStream::Close | ( |  | ) | `[virtual]`

Close the stream. No more writing allowed!

Reimplemented in IpeA85Stream, and IpeDeflateStream.

void IpeStream::PutString | ( | IpeString | s | ) | `[virtual]`

Output string.

Reimplemented in IpeStringStream, and IpeFileStream.

void IpeStream::PutCString | ( | const char * | s | ) | `[virtual]`

Output C string.

Reimplemented in IpeStringStream, and IpeFileStream.

void IpeStream::PutRaw | ( | const char * | data,
|  | int | size |
| ) |  |  | `[virtual]`

Output raw character data.

Reimplemented in IpeStringStream, and IpeFileStream.

IpeStream& IpeStream::operator<< | ( | char | ch | ) | `[inline]`

Output character.

IpeStream& IpeStream::operator<< | ( | const IpeString & | s | ) | `[inline]`

Output string.

IpeStream& IpeStream::operator<< | ( | const char * | s | ) | `[inline]`

Output C string.

IpeStream & IpeStream::operator<< | ( | int | i | ) |

Output integer.

IpeStream & IpeStream::operator<< | ( | double | d | ) |

Output double.

void IpeStream::PutHexByte | ( | char | b | ) |

Output byte in hexadecimal.

void IpeStream::PutXmlString | ( | IpeString | s | ) |

Save a string with XML escaping of &, >, <.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp